aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarko Bausch <60338487+mrkbac@users.noreply.github.com>2023-01-05 20:27:12 +0300
committerGitHub <noreply@github.com>2023-01-05 20:27:12 +0300
commitc546f4bf8c462247c954ee3b549e63db2fc687dd (patch)
treec9e2581be226eaee27d0f2444eed4de62b6ae6d0
parentef192bf4677f35c18d9f0812ed2902a682c7bdeb (diff)
desktop-lite: fixed qemu container (#370)
* desktop-lite: fixed qemu container * bump version for desktop-lite
-rw-r--r--src/desktop-lite/devcontainer-feature.json2
-rwxr-xr-xsrc/desktop-lite/install.sh10
2 files changed, 6 insertions, 6 deletions
diff --git a/src/desktop-lite/devcontainer-feature.json b/src/desktop-lite/devcontainer-feature.json
index e033386..84c99db 100644
--- a/src/desktop-lite/devcontainer-feature.json
+++ b/src/desktop-lite/devcontainer-feature.json
@@ -1,6 +1,6 @@
{
"id": "desktop-lite",
- "version": "1.0.6",
+ "version": "1.0.7",
"name": "Light-weight Desktop",
"documentationURL": "https://github.com/devcontainers/features/tree/main/src/desktop-lite",
"description": "Adds a lightweight Fluxbox based desktop to the container that can be accessed using a VNC viewer or the web. GUI-based commands executed from the built-in VS code terminal will open on the desktop automatically.",
diff --git a/src/desktop-lite/install.sh b/src/desktop-lite/install.sh
index 60bec12..ffd39d5 100755
--- a/src/desktop-lite/install.sh
+++ b/src/desktop-lite/install.sh
@@ -299,9 +299,9 @@ startInBackgroundIfNotRunning()
{
log "Starting \$1."
echo -e "\n** \$(date) **" | sudoIf tee -a /tmp/\$1.log > /dev/null
- if ! pidof \$1 > /dev/null; then
+ if ! pgrep -x \$1 > /dev/null; then
keepRunningInBackground "\$@"
- while ! pidof \$1 > /dev/null; do
+ while ! pgrep -x \$1 > /dev/null; do
sleep 1
done
log "\$1 started."
@@ -347,16 +347,16 @@ log "** SCRIPT START **"
# Start dbus.
log 'Running "/etc/init.d/dbus start".'
-if [ -f "/var/run/dbus/pid" ] && ! pidof dbus-daemon > /dev/null; then
+if [ -f "/var/run/dbus/pid" ] && ! pgrep -x dbus-daemon > /dev/null; then
sudoIf rm -f /var/run/dbus/pid
fi
sudoIf /etc/init.d/dbus start 2>&1 | sudoIf tee -a /tmp/dbus-daemon-system.log > /dev/null
-while ! pidof dbus-daemon > /dev/null; do
+while ! pgrep -x dbus-daemon > /dev/null; do
sleep 1
done
# Startup tigervnc server and fluxbox
-sudo rm -rf /tmp/.X11-unix /tmp/.X*-lock
+sudoIf rm -rf /tmp/.X11-unix /tmp/.X*-lock
mkdir -p /tmp/.X11-unix
sudoIf chmod 1777 /tmp/.X11-unix
sudoIf chown root:\${group_name} /tmp/.X11-unix